.global-filter {
    position: relative;
    height: 24px;
    border: 1px solid transparent;
    border-radius: 4px;
    background-color: rgba(84, 101, 125, 0.20);
    cursor: pointer;
}

    .global-filter:hover {
        border-width: 1px;
        border-style: solid;
        border-color: #54657D
    }

    .global-filter:focus {
        outline: none;
        border-color: #54657D;
        background-color: rgba(84, 101, 125, 0.12);
    }

    .global-filter:disabled {
        background: #F2F4F7;
        color: #B0B7C3;
        border-color: #E0E4EA;
        cursor: not-allowed;
        opacity: 1;
    }

.option {
    cursor: pointer;
}

    .option:hover {
        background-color: #f0f0f0;
    }

.filter-icon-button {
    height: 22px;
    width: 24px;
    position: relative;
    border-style: none;
    background: transparent;
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.clear-icon-button:hover {
    background: #AFBACA20;
}

.filter-icon {
    height: 22px;
    width: 24px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center; 
}

.input-text {
    background: transparent;
    border-style: none;
    cursor: pointer;
    min-width: 0;
    color: #F0F2F5;
    text-overflow: ellipsis;
}

    .input-text::placeholder {
        color: #8293AB;
    }


.custom-select-options {
    position: absolute;
    z-index: 1;
    width: 100%;
    border-radius: 4px;
    background: #FFF;
    min-height: 16px;
    max-height: 160px;
    min-width: 80px;
    padding: 4px 8px 4px 12px;
    overflow-y: auto;
    scrollbar-color: #9AA8BC #FFF;
    scrollbar-width: auto;
    color: #0A0C0F;
}

.badge {
    width: 22px;
    height: 22px;
    position: absolute;
    bottom: 7px;
    right: -4px;
}
